Package puppet-3.8.7-1.el7.noarch is obsoleted by puppet-agent-1.9.3-1.el7.x86_64 which is already

installed

03/31/2017 12:40 PM - Dmitry Okun

Status: Resolved   

Priority: Normal   

Assignee:    

Category: foreman-installer script   

Target version:    

Triaged:  Found in Releases: Nightly

Fixed in Releases:    

Description

While running foreman-installer, I run into the following issue. How do I fix it?

/Stage[main]/Puppet::Server::Install/Package[puppet-server]/ensure: change from absent to present 

failed: Execution of '/usr/bin/yum -d 0 -e 0 -y install puppet-server' returned 1: Package puppet-

3.8.7-1.el7.noarch is obsoleted by puppet-agent-1.9.3-1.el7.x86_64 which is already installed

 Package: puppet-server-3.8.7-1.el7.noarch (puppetlabs-products)

           Requires: puppet = 3.8.7-1.el7

           Installed: puppet-agent-1.9.3-1.el7.x86_64 (@puppetlabs-pc1)

               puppet >= 4.0.0-1.el7

           Available: puppet-3.5.1-1.el7.noarch (puppetlabs-products)

               puppet = 3.5.1-1.el7

           Available: puppet-3.6.0-1.el7.noarch (puppetlabs-products)

               puppet = 3.6.0-1.el7

           Available: puppet-3.6.1-1.el7.noarch (puppetlabs-products)

               puppet = 3.6.1-1.el7

           Available: puppet-3.6.2-1.el7.noarch (puppetlabs-products)

               puppet = 3.6.2-1.el7

           Available: puppet-3.6.2-3.el7.noarch (epel)

               puppet = 3.6.2-3.el7

           Available: puppet-3.7.0-1.el7.noarch (puppetlabs-products)

               puppet = 3.7.0-1.el7

           Available: puppet-3.7.1-1.el7.noarch (puppetlabs-products)

               puppet = 3.7.1-1.el7

           Available: puppet-3.7.2-1.el7.noarch (puppetlabs-products)

               puppet = 3.7.2-1.el7

           Available: puppet-3.7.3-1.el7.noarch (puppetlabs-products)

               puppet = 3.7.3-1.el7

           Available: puppet-3.7.4-1.el7.noarch (puppetlabs-products)

               puppet = 3.7.4-1.el7

           Available: puppet-3.7.5-1.el7.noarch (puppetlabs-products)

               puppet = 3.7.5-1.el7

           Available: puppet-3.8.1-1.el7.noarch (puppetlabs-products)

               puppet = 3.8.1-1.el7

           Available: puppet-3.8.2-1.el7.noarch (puppetlabs-products)

               puppet = 3.8.2-1.el7

           Available: puppet-3.8.3-1.el7.noarch (puppetlabs-products)

               puppet = 3.8.3-1.el7

           Available: puppet-3.8.4-1.el7.noarch (puppetlabs-products)

               puppet = 3.8.4-1.el7

           Available: puppet-3.8.5-1.el7.noarch (puppetlabs-products)

               puppet = 3.8.5-1.el7

           Available: puppet-3.8.6-1.el7.noarch (puppetlabs-products)

               puppet = 3.8.6-1.el7

           Available: puppet-3.8.7-1.el7.noarch (puppetlabs-products)

               puppet = 3.8.7-1.el7

           Available: puppet-agent-1.0.0-1.el7.x86_64 (puppetlabs-pc1)

               puppet >= 4.0.0-1.el7

           Available: puppet-agent-1.0.1-1.el7.x86_64 (puppetlabs-pc1)
               puppet >= 4.0.0-1.el7

           Available: puppet-agent-1.1.0-1.el7.x86_64 (puppetlabs-pc1)

               puppet >= 4.0.0-1.el7

           Available: puppet-agent-1.1.1-1.el7.x86_64 (puppetlabs-pc1)

               puppet >= 4.0.0-1.el7

           Available: puppet-agent-1.2.0-1.el7.x86_64 (puppetlabs-pc1)

               puppet >= 4.0.0-1.el7

           Available: puppet-agent-1.2.1-1.el7.x86_64 (puppetlabs-pc1)

               puppet >= 4.0.0-1.el7

           Available: puppet-agent-1.2.2-1.el7.x86_64 (puppetlabs-pc1)

               puppet >= 4.0.0-1.el7

           Available: puppet-agent-1.2.4-1.el7.x86_64 (puppetlabs-pc1)

               puppet >= 4.0.0-1.el7

           Available: puppet-agent-1.2.5-1.el7.x86_64 (puppetlabs-pc1)

               puppet >= 4.0.0-1.el7

           Available: puppet-agent-1.2.6-1.el7.x86_64 (puppetlabs-pc1)

               puppet >= 4.0.0-1.el7

           Available: puppet-agent-1.2.7-1.el7.x86_64 (puppetlabs-pc1)

               puppet >= 4.0.0-1.el7

           Available: puppet-agent-1.3.0-1.el7.x86_64 (puppetlabs-pc1)

               puppet >= 4.0.0-1.el7

           Available: puppet-agent-1.3.1-1.el7.x86_64 (puppetlabs-pc1)

               puppet >= 4.0.0-1.el7

           Available: puppet-agent-1.3.2-1.el7.x86_64 (puppetlabs-pc1)

               puppet >= 4.0.0-1.el7

           Available: puppet-agent-1.3.4-1.el7.x86_64 (puppetlabs-pc1)

               puppet >= 4.0.0-1.el7

           Available: puppet-agent-1.3.5-1.el7.x86_64 (puppetlabs-pc1)

               puppet >= 4.0.0-1.el7

           Available: puppet-agent-1.3.6-1.el7.x86_64 (puppetlabs-pc1)

               puppet >= 4.0.0-1.el7

           Available: puppet-agent-1.4.0-1.el7.x86_64 (puppetlabs-pc1)

               puppet >= 4.0.0-1.el7

           Available: puppet-agent-1.4.1-1.el7.x86_64 (puppetlabs-pc1)

               puppet >= 4.0.0-1.el7

           Available: puppet-agent-1.4.2-1.el7.x86_64 (puppetlabs-pc1)

               puppet >= 4.0.0-1.el7

           Available: puppet-agent-1.5.0-1.el7.x86_64 (puppetlabs-pc1)

               puppet >= 4.0.0-1.el7

           Available: puppet-agent-1.5.1-1.el7.x86_64 (puppetlabs-pc1)

               puppet >= 4.0.0-1.el7

           Available: puppet-agent-1.5.2-1.el7.x86_64 (puppetlabs-pc1)

               puppet >= 4.0.0-1.el7

           Available: puppet-agent-1.5.3-1.el7.x86_64 (puppetlabs-pc1)

               puppet >= 4.0.0-1.el7

           Available: puppet-agent-1.6.0-1.el7.x86_64 (puppetlabs-pc1)

               puppet >= 4.0.0-1.el7

           Available: puppet-agent-1.6.1-1.el7.x86_64 (puppetlabs-pc1)

               puppet >= 4.0.0-1.el7

           Available: puppet-agent-1.6.2-1.el7.x86_64 (puppetlabs-pc1)

               puppet >= 4.0.0-1.el7

           Available: puppet-agent-1.7.0-1.el7.x86_64 (puppetlabs-pc1)

               puppet >= 4.0.0-1.el7

           Available: puppet-agent-1.7.1-1.el7.x86_64 (puppetlabs-pc1)

               puppet >= 4.0.0-1.el7

           Available: puppet-agent-1.7.2-1.el7.x86_64 (puppetlabs-pc1)

               puppet >= 4.0.0-1.el7

           Available: puppet-agent-1.8.0-1.el7.x86_64 (puppetlabs-pc1)

               puppet >= 4.0.0-1.el7

           Available: puppet-agent-1.8.1-1.el7.x86_64 (puppetlabs-pc1)

               puppet >= 4.0.0-1.el7

           Available: puppet-agent-1.8.2-1.el7.x86_64 (puppetlabs-pc1)

               puppet >= 4.0.0-1.el7

           Available: puppet-agent-1.8.3-1.el7.x86_64 (puppetlabs-pc1)

               puppet >= 4.0.0-1.el7

           Available: puppet-agent-1.9.0-1.el7.x86_64 (puppetlabs-pc1)

               puppet >= 4.0.0-1.el7
           Available: puppet-agent-1.9.1-1.el7.x86_64 (puppetlabs-pc1)

               puppet >= 4.0.0-1.el7

           Available: puppet-agent-1.9.2-1.el7.x86_64 (puppetlabs-pc1)

               puppet >= 4.0.0-1.el7

 You could try using --skip-broken to work around the problem

 You could try running: rpm -Va --nofiles --nodigest

 This issue also seems to prevent me from being able to start the httpd daemon

History

#1 - 04/01/2017 08:29 AM - Ewoud Kohl van Wijngaarden

It looks like you're installing puppet 4 while puppet 3 is still installed. See 

http://projects.theforeman.org/projects/foreman/wiki/Upgrading_from_Puppet_3_to_4 on how to do this.

#2 - 04/02/2017 08:40 AM - Anonymous

- Tracker changed from Bug to Support

- Status changed from New to Feedback

- Priority changed from Urgent to Normal

#3 - 05/14/2017 02:33 AM - Anonymous

- Status changed from Feedback to Resolved

no reaction, closing
